#pragma once
#include "Entity.h"
#define CS_LAVADROP_CREATENAME L"CS_lavadrop"
//ÑÒµÎ
class CS_LavaDrop :
    public Entity
{
public:
    CS_LavaDrop();
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void Feedback(std::weak_ptr<Entity> target) override;
};

std::shared_ptr<Entity> CreateCS_LavaDrop();